MONGOC_WRITE_CONCERN_GET_FSYNC(3)

NAME
mongoc_write_concern_get_fsync - mongoc_write_concern_get_fsync()

SYNOPSIS

        bool
        mongoc_write_concern_get_fsync (const mongoc_write_concern_t *write_concern);

PARAMETERS

    •   write_concern: A mongoc_write_concern_t.

DESCRIPTION

Fetches if an fsync should be performed before returning success on a write operation.

RETURNS

Returns true if fsync is set as part of the write concern.

DEPRECATED

WARNING:
        The fsync write concern is deprecated; use journal instead.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc